Subject: bug#25766: aspell problem in LaTeX mode

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Feb 2017 18:37:42 +0200

> From: Bob Alice <[email-masked]>
> Date: Fri, 17 Feb 2017 16:21:11 +0000
> Cc: [email-masked]
> 
> Note: I removed \autoref{alice}. It wasn't necessary. New file is:
> 
> \caption{5\% \label{_fred}}
> envolope
> 
> Debugger gives:
> ispell-region: string pos (29->37), eol: 37, [in-comment]: [nil], [add-comment]: [nil], [string]: [^envolope
> 
> Running:
> /usr/bin/aspell -a -m -d en --encoding=utf-8
> 
> Inputting:
> ^envolope
> 
> Output:
> & envolope 7 1: envelope, enveloper, envelop, enveloped, envelopes, envelops, envelope's
> 
> This output looks sensible, but the spelling options do not appear in the emacs buffer.

Strange.  I guess the next step is to look at what Emacs receives from
aspell.  I think if you display the value of ispell-filter in
ispell-process-line, it will show that.  Here's the relevant part of
ispell-process-line:

    ;; send string to spell process and get input.
    (ispell-send-string string)
    (while (progn
	     (ispell-accept-output)
	     ;; Last item of output contains a blank line. <<<<<<<<<<<<
	     (not (string= "" (car ispell-filter)))))

Insert

    (message "%s" ispell-filter)

before the marked line, then load ispell.el manually, and repeat the
experiment.  The results should be in the *Messages* buffer.  Maybe if
we see what Emacs gets back from aspell, we will see the light.

Thanks.